Error
A valid request URL is required to generate request examples{
"message": "<string>",
"plugin": {
"name": "my_custom_plugin",
"actualName": "MyCustomPlugin",
"enabled": true,
"config": {
"api_key": "xxx"
},
"isCustom": true,
"path": "/plugins/my_custom_plugin.so",
"status": {
"name": "my_custom_plugin",
"status": "active",
"logs": [
"plugin my_custom_plugin initialized successfully"
],
"types": [
"llm",
"http"
]
}
}
}Plugins
Update a plugin
Updates a plugin’s configuration. Will reload or stop the plugin based on enabled status.
The response actualName field shows the plugin name from GetName() (used as the map key),
which may differ from the display name (name).
PUT
/
api
/
plugins
/
{name}
Error
A valid request URL is required to generate request examples{
"message": "<string>",
"plugin": {
"name": "my_custom_plugin",
"actualName": "MyCustomPlugin",
"enabled": true,
"config": {
"api_key": "xxx"
},
"isCustom": true,
"path": "/plugins/my_custom_plugin.so",
"status": {
"name": "my_custom_plugin",
"status": "active",
"logs": [
"plugin my_custom_plugin initialized successfully"
],
"types": [
"llm",
"http"
]
}
}
}Authorizations
Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>.
Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.
Path Parameters
Plugin display name (the config field name, not the internal actualName from GetName())
Response
Plugin updated successfully
Plugin operation response
Plugin configuration
Show child attributes
Show child attributes
Example:
{
"name": "my_custom_plugin",
"actualName": "MyCustomPlugin",
"enabled": true,
"config": { "api_key": "xxx" },
"isCustom": true,
"path": "/plugins/my_custom_plugin.so",
"status": {
"name": "my_custom_plugin",
"status": "active",
"logs": [
"plugin my_custom_plugin initialized successfully"
],
"types": ["llm", "http"]
}
}
Was this page helpful?
⌘I

